cudnn_frontend::Engine_v8
cudnn_frontend::BackendDescriptor
cudnn_frontend_Engine.h
cudnn_frontend::Engine_v8::Knob
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Engine_v8::opGraph opGraph = nullptr
int64_t int64_t cudnn_frontend::Engine_v8::idx idx = -1

Global Index of the engine for the given operationGraph.

describe
int64_t int64_t cudnn_frontend::Engine_v8::numKnobs numKnobs = 0

Count of the backend knobs in the engine.

buildKnobs
Engine_v8
knobs_set
std::array< ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS > std::array<ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS> cudnn_frontend::Engine_v8::bKnobs bKnobs = {}

Opaque pointer to the backend knobs.

std::vector< Knob > std::vector<Knob> cudnn_frontend::Engine_v8::knobs knobs getFinalizedKnobs getSupportedKnobs
std::string std::string cudnn_frontend::Engine_v8::opGraphTag opGraphTag getTag
friend class friend class EngineBuilder_v8 EngineBuilder_v8 cudnn_frontend::EngineBuilder_v8::build
cudnn_frontend::Engine_v8::Engine_v8
()=default
Engine_v8
cudnn_frontend::Engine_v8::Engine_v8
(Engine_v8 const &)=delete
Engine_v8
Engine_v8 const &
Engine_v8 & Engine_v8& cudnn_frontend::Engine_v8::operator= (Engine_v8 const &)=delete operator= Engine_v8 const & cudnn_frontend::EngineBuilder_v8::build Engine_v8
void void cudnn_frontend::Engine_v8::buildKnobs () buildKnobs

Called from the constructor builds the internal knobs vector.

cudnn_frontend::Engine_v8::Knob::Knob
cudnn_frontend::Engine_v8::Knob::maxValue
cudnn_frontend::Engine_v8::Knob::minValue
numKnobs
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
cudnn_frontend::Engine_v8::Knob::stride
Engine_v8
std::string std::string cudnn_frontend::Engine_v8::describe () const override describe describe

Return a string describing the backend Descriptor.

idx
cudnn_frontend::Engine_v8::Engine_v8
(Engine_v8 &&from)
Engine_v8
Engine_v8 && from

< Opaque pointer to the backend knobs

buildKnobs
cudnn_frontend::make_shared_backend_pointer
numKnobs
operator=
cudnn_frontend::BackendDescriptor::pointer
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
~Engine_v8
Engine_v8 & Engine_v8& cudnn_frontend::Engine_v8::operator= (Engine_v8 &&)=default operator= Engine_v8 &&
cudnn_frontend::Engine_v8::~Engine_v8
()=default
~Engine_v8
Engine_v8
std::string const & std::string const& cudnn_frontend::Engine_v8::getTag () const getTag opGraphTag
std::vector< Knob > & std::vector<Knob>& cudnn_frontend::Engine_v8::getSupportedKnobs () getSupportedKnobs

Returns a vector of knobs to the user for modification.

knobs
std::vector< Knob > const & std::vector<Knob> const& cudnn_frontend::Engine_v8::getFinalizedKnobs () const getFinalizedKnobs

Returns a final vector of knobs. Used in EngineConfigBuilder.

knobs
bool bool cudnn_frontend::Engine_v8::knobs_set () const knobs_set cudnn_frontend::Engine_v8::Knob::getChoice numKnobs

Engine_v8 Class This class tells the properties of the Engine_v8 on which performs the operation requested Properties:

- Index

- OperationGraph_v8

Use EngineBuilder_v8 to build this class. Describe returns a string describing the tensor class

cudnn_frontend::Engine_v8
cudnn_frontend::BackendDescriptor
std::vector< cudnn_frontend::Engine_v8::Knob >
+elements
< cudnn_frontend::Engine_v8::Knob >
shared_ptr< OpaqueBackendPointer >
T
std::vector< T >
+elements
std::array< T >
+elements
std::array< ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS >
+elements
< ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS >
cudnnStatus_t
std::basic_string< char >
ManagedOpaqueDescriptor
int64_t
cudnnBackendKnobType_t
cudnn_frontend::Engine_v8
-bKnobs
-idx
-numKnobs
-opGraphTag
-opGraph
-knobs
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
cudnn_frontend::Engine_v8::Knob
-knobType
-minValue
-maxValue
-stride
-choice
std::string
- cudnn_frontend::Engine_v8
  BackendDescriptor
- cudnn_frontend::Engine_v8
  BackendDescriptor
- cudnn_frontend::Engine_v8
  bKnobs
- cudnn_frontend::Engine_v8
  buildKnobs
- cudnn_frontend::Engine_v8
  describe
- cudnn_frontend::Engine_v8
  Engine_v8
- cudnn_frontend::Engine_v8
  Engine_v8
- cudnn_frontend::Engine_v8
  Engine_v8
- cudnn_frontend::Engine_v8
  EngineBuilder_v8
- cudnn_frontend::Engine_v8
  err_msg
- cudnn_frontend::Engine_v8
  get_desc
- cudnn_frontend::Engine_v8
  get_error
- cudnn_frontend::Engine_v8
  get_raw_desc
- cudnn_frontend::Engine_v8
  get_status
- cudnn_frontend::Engine_v8
  getFinalizedKnobs
- cudnn_frontend::Engine_v8
  getSupportedKnobs
- cudnn_frontend::Engine_v8
  getTag
- cudnn_frontend::Engine_v8
  idx
- cudnn_frontend::Engine_v8
  initialize_managed_backend_pointer
- cudnn_frontend::Engine_v8
  knobs
- cudnn_frontend::Engine_v8
  knobs_set
- cudnn_frontend::Engine_v8
  numKnobs
- cudnn_frontend::Engine_v8
  operator=
- cudnn_frontend::Engine_v8
  operator=
- cudnn_frontend::Engine_v8
  opGraph
- cudnn_frontend::Engine_v8
  opGraphTag
- cudnn_frontend::Engine_v8
  pointer
- cudnn_frontend::Engine_v8
  set_error
- cudnn_frontend::Engine_v8
  set_status
- cudnn_frontend::Engine_v8
  status
- cudnn_frontend::Engine_v8
  ~Engine_v8